Object subclass:#SmalltalkAppletContext
	instanceVariableNames:'statusHolder'
	classVariableNames:''
	poolDictionaries:''
	category:'Java-Support'
!


!SmalltalkAppletContext methodsFor:'accessing'!

getImage:url
    |imgSource toolKit|

    "return 
        Toolkit.getDefaultToolkit().createImage(new sun.awt.image.URLImageSource(arg1)))"

    imgSource := (Java classForName:'sun.awt.image.URLImageSource') new.
    imgSource invoke:#'<init>(Ljava/net/URL;)V' with:url.

    toolKit := (Java classForName:'java.awt.Toolkit') invoke:#getDefaultToolkit.
    ^ toolKit invoke:#createImage with:imgSource.

    "Modified: 1.8.1997 / 17:57:59 / cg"
!

showStatus:arg
    |msg|

    arg isJavaObject ifTrue:[
        (arg isMemberOf:(Java classForName:'java.lang.String')) ifTrue:[
            msg := JavaObject stringFromJavaString:arg
        ] ifFalse:[
            msg := arg printString
        ]
    ] ifFalse:[
        msg := arg
    ].

    statusHolder notNil ifTrue:[
        statusHolder value:msg
    ] ifFalse:[
        Transcript showCR:msg
    ].
    ^ nil

    "Created: 1.8.1997 / 15:48:53 / cg"
    "Modified: 1.8.1997 / 16:06:46 / cg"
! !

!SmalltalkAppletContext class methodsFor:'documentation'!

version
    ^ '$Header: /home/jv/Projects/SmalltalkX/repositories/cvs/stx/libjava/SmalltalkAppletContext.st,v 1.2 1997/08/01 19:54:43 cg Exp $'
! !
