JavaRef subclass:#JavaFieldref
	instanceVariableNames:'offset type'
	classVariableNames:''
	poolDictionaries:''
	category:'Java-Reader-Support'
!


!JavaFieldref methodsFor:'printing & storing'!

displayString
    class isNil ifTrue:[
        ^ 'JavaFieldRef ( ** unknown class ** ''' , nameandType displayString , ''')'
    ].
    ^ 'JavaFieldRef (' , class fullName , ' ' 
                        , '''' , nameandType name , '''' , nameandType signature , ')'
! !

!JavaFieldref methodsFor:'resolving'!

isDouble
    ^ (JavaMethod typeFromSignature:nameandType signature) == #double
!

isLong
    ^ (JavaMethod typeFromSignature:nameandType signature) == #long
!

name
    ^ nameandType name
!

offset
    |nm sig cls|

    offset notNil ifTrue:[^ offset].

"/    class := class resolveClass.

"/    (class isMemberOf:JavaUnresolvedClassConstant) ifTrue:[
"/        cls := class resolve.
"/        cls notNil ifTrue:[
"/            class := cls
"/        ].
"/    ].
    class isUnresolved ifTrue:[
        self halt:'unresolved class'.
    ].

    nm := nameandType name asSymbol.
    sig := nameandType signature.

    type := JavaMethod typeFromSignature:sig.
    offset := class instVarOffsetOf:nm.
    ^ offset.
!

staticOffset
    |nm sig mthd cls|

    offset notNil ifTrue:[^ offset].

    cls := class javaClass.
    cls ~~ class ifTrue:[
        class := cls.
    ].
"/    (class isMemberOf:JavaUnresolvedClassConstant) ifTrue:[
"/        cls := class resolve.
"/        cls notNil ifTrue:[
"/            class := cls
"/        ]
"/    ].
"/    (class isMemberOf:JavaUnresolvedClassConstant) ifTrue:[
"/        self halt:'unresolved class'.
"/    ].

    nm := nameandType name asSymbol.
    sig := nameandType signature.

    offset := class class instVarOffsetOf:nm.
    ^ offset.
!

type
    |sig cls|

    type notNil ifTrue:[^ type].

"/    class := class resolveClass.

"/    (class isMemberOf:JavaUnresolvedClassConstant) ifTrue:[
"/        cls := class resolve.
"/        cls notNil ifTrue:[
"/            class := cls
"/        ]
"/    ].
    class isUnresolved ifTrue:[
        self halt:'unresolved class'.
    ].

    sig := nameandType signature.
    type := JavaMethod typeFromSignature:sig.
    ^ type.
! !

!JavaFieldref class methodsFor:'documentation'!

version
    ^ '$Header: /home/jv/Projects/SmalltalkX/repositories/cvs/stx/libjava/JavaFieldref.st,v 1.13 1997/02/07 20:35:51 cg Exp $'
! !
